import { INewUserData } from '~/business-logic/core/users/create-user/create-account/data/dto/protocols';
import { SetStateInputMethod } from '~/driven/utils/components/inputs/simple-input/SimpleInput';

export default interface ICreateUserViewProps {
  onSubmit: (e: React.FormEvent) => void;
  stateHandler: {
    inputStates: INewUserData;
    inputsSetStates: SetStateInputMethod<keyof INewUserData>;
  };
  inputNames: (keyof INewUserData)[];
}
