import React from 'react';
import { Outlet } from 'react-router-dom';
import Sidebar from '~/driving/application/support/sidebar';

export default function MainPageLayout() {
  return (
    <div className='flex flex-nowrap min-h-screen'>
      <Sidebar />
      <main className='dipal-panel w-full text-black bg-white h-fit'>
        <Outlet />
      </main>
    </div>
  );
}
