/* eslint-disable no-underscore-dangle */
import { GetPlacesRO, GetPlacesResponse } from './protocols';

const getPlacesRO = (placesResponse: GetPlacesResponse): GetPlacesRO => {
  return placesResponse.map((placeResponse) => {
    return {
      id: placeResponse._id,
      placeType: placeResponse.place_type,
      name: placeResponse.name,
      parentId: placeResponse.place_type,
      availableServices: placeResponse.available_services,
      createdAt: placeResponse.createdAt,
      updatedAt: placeResponse.updatedAt,
      qr: null,
    };
  });
};

export default getPlacesRO;
