import React from 'react';
import PageTitle from '~/driven/utils/components/page-title/pageTitle';
import { staticMessages } from '~/driven/utils/constants/staticMessages';
import CreateUser from '~/driving/application/core/create-user';

export default function CreateUserPage() {
  return (
    <>
      <PageTitle
        className='px-4 py-5'
        title={staticMessages.global.createUser}
      />
      <CreateUser />
    </>
  );
}
